Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class ShapeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl
                      org.eclipse.gmf.gmfgraph.impl.RealFigureImpl
                          org.eclipse.gmf.gmfgraph.impl.ShapeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AbstractFigure, Figure, Layoutable, RealFigure, Shape

Direct Known Subclasses:
  EllipseImpl, PolylineImpl, RectangleImpl, RoundedRectangleImpl

    public abstract class ShapeImpl

extends RealFigureImpl
implements Shape

An implementation of the model object 'Shape'.

The following features are implemented:

- `Outline`
- `Fill`
- `Line Width`
- `Line Kind`
- `Xor Fill`
- `Xor Outline`
- `Resolved Children`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected boolean` `fill` The cached value of the '`Fill`' attribute
`protected static boolean` `FILL_EDEFAULT` The default value of the '`Fill`' attribute
`protected static LineKind` `LINE_KIND_EDEFAULT` The default value of the '`Line Kind`' attribute
`protected static int` `LINE_WIDTH_EDEFAULT` The default value of the '`Line Width`' attribute
`protected LineKind` `lineKind` The cached value of the '`Line Kind`' attribute
`protected int` `lineWidth` The cached value of the '`Line Width`' attribute
`protected boolean` `outline` The cached value of the '`Outline`' attribute
`protected static boolean` `OUTLINE_EDEFAULT` The default value of the '`Outline`' attribute
`protected static boolean` `XOR_FILL_EDEFAULT` The default value of the '`Xor Fill`' attribute
`protected static boolean` `XOR_OUTLINE_EDEFAULT` The default value of the '`Xor Outline`' attribute
`protected boolean` `xorFill` The cached value of the '`Xor Fill`' attribute
`protected boolean` `xorOutline` The cached value of the '`Xor Outline`' attribute

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.RealFigureImpl
`children, name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl
`backgroundColor, border, font, foregroundColor, insets, layout, layoutData, location, maximumSize, minimumSize, preferredSize, size`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ShapeImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`LineKind` `getLineKind()`
`int` `getLineWidth()`
`org.eclipse.emf.common.util.EList<Figure>` `getResolvedChildren()`
`boolean` `isFill()`
`boolean` `isOutline()`
`boolean` `isXorFill()`
`boolean` `isXorOutline()`
`void` `setFill(boolean newFill)`
`void` `setLineKind(LineKind newLineKind)`
`void` `setLineWidth(int newLineWidth)`
`void` `setOutline(boolean newOutline)`
`void` `setXorFill(boolean newXorFill)`
`void` `setXorOutline(boolean newXorOutline)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.RealFigureImpl
`eInverseRemove, getChildren, getName, setName`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl

`basicSetBackgroundColor, basicSetBorder, basicSetFont, basicSetForegroundColor, basicSetInsets, basicSetLayout, basicSetLayoutData, basicSetLocation, basicSetMaximumSize, basicSetMinimumSize, basicSetPreferredSize, basicSetSize, eInverseAdd, getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLayout, getLayoutData, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLayout, setLayoutData, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### OUTLINE_EDEFAULT

    protected static final boolean OUTLINE_EDEFAULT

  The default value of the '`Outline`' attribute.

  See Also:
    `isOutline()`, Constant Field Values
  ** Generated **
  Ordered:

### outline

    protected boolean outline

  The cached value of the '`Outline`' attribute.

  See Also:
    `isOutline()`
  ** Generated **
  Ordered:

### FILL_EDEFAULT

    protected static final boolean FILL_EDEFAULT

  The default value of the '`Fill`' attribute.

  See Also:
    `isFill()`, Constant Field Values
  ** Generated **
  Ordered:

### fill

    protected boolean fill

  The cached value of the '`Fill`' attribute.

  See Also:
    `isFill()`
  ** Generated **
  Ordered:

### LINE_WIDTH_EDEFAULT

    protected static final int LINE_WIDTH_EDEFAULT

  The default value of the '`Line Width`' attribute.

  See Also:
    `getLineWidth()`, Constant Field Values
  ** Generated **
  Ordered:

### lineWidth

    protected int lineWidth

  The cached value of the '`Line Width`' attribute.

  See Also:
    `getLineWidth()`
  ** Generated **
  Ordered:

### LINE_KIND_EDEFAULT

    protected static final LineKind LINE_KIND_EDEFAULT

  The default value of the '`Line Kind`' attribute.

  See Also:
    `getLineKind()`
  ** Generated **
  Ordered:

### lineKind

    protected LineKind lineKind

  The cached value of the '`Line Kind`' attribute.

  See Also:
    `getLineKind()`
  ** Generated **
  Ordered:

### XOR_FILL_EDEFAULT

    protected static final boolean XOR_FILL_EDEFAULT

  The default value of the '`Xor Fill`' attribute.

  See Also:
    `isXorFill()`, Constant Field Values
  ** Generated **
  Ordered:

### xorFill

    protected boolean xorFill

  The cached value of the '`Xor Fill`' attribute.

  See Also:
    `isXorFill()`
  ** Generated **
  Ordered:

### XOR_OUTLINE_EDEFAULT

    protected static final boolean XOR_OUTLINE_EDEFAULT

  The default value of the '`Xor Outline`' attribute.

  See Also:
    `isXorOutline()`, Constant Field Values
  ** Generated **
  Ordered:

### xorOutline

    protected boolean xorOutline

  The cached value of the '`Xor Outline`' attribute.

  See Also:
    `isXorOutline()`
  ** Generated **
  Ordered:

Constructor Detail

### ShapeImpl

    protected ShapeImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `RealFigureImpl`
  ** Generated **

### getResolvedChildren

    public org.eclipse.emf.common.util.EList<Figure> getResolvedChildren()

  Specified by:
    `getResolvedChildren` in interface `Shape`
  Returns:
    the value of the 'Resolved Children' reference list.
  See Also:
    `GMFGraphPackage.getShape_ResolvedChildren()`
  ** Generated **
    NOT

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `RealFigureImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `RealFigureImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `RealFigureImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `RealFigureImpl`
  ** Generated **

### isOutline

    public boolean isOutline()

  Specified by:
    `isOutline` in interface `Shape`
  Returns:
    the value of the 'Outline' attribute.
  See Also:
    `Shape.setOutline(boolean)`, `GMFGraphPackage.getShape_Outline()`
  ** Generated **

### setOutline

    public void setOutline(boolean newOutline)

  Specified by:
    `setOutline` in interface `Shape`
  Parameters:
    `newOutline` - the new value of the 'Outline' attribute.
  See Also:
    `Shape.isOutline()`
  ** Generated **

### isFill

    public boolean isFill()

  Specified by:
    `isFill` in interface `Shape`
  Returns:
    the value of the 'Fill' attribute.
  See Also:
    `Shape.setFill(boolean)`, `GMFGraphPackage.getShape_Fill()`
  ** Generated **

### setFill

    public void setFill(boolean newFill)

  Specified by:
    `setFill` in interface `Shape`
  Parameters:
    `newFill` - the new value of the 'Fill' attribute.
  See Also:
    `Shape.isFill()`
  ** Generated **

### getLineWidth

    public int getLineWidth()

  Specified by:
    `getLineWidth` in interface `Shape`
  Returns:
    the value of the 'Line Width' attribute.
  See Also:
    `Shape.setLineWidth(int)`, `GMFGraphPackage.getShape_LineWidth()`
  ** Generated **

### setLineWidth

    public void setLineWidth(int newLineWidth)

  Specified by:
    `setLineWidth` in interface `Shape`
  Parameters:
    `newLineWidth` - the new value of the 'Line Width' attribute.
  See Also:
    `Shape.getLineWidth()`
  ** Generated **

### getLineKind

    public LineKind getLineKind()

  Specified by:
    `getLineKind` in interface `Shape`
  Returns:
    the value of the 'Line Kind' attribute.
  See Also:
    `LineKind`, `Shape.setLineKind(LineKind)`, `GMFGraphPackage.getShape_LineKind()`
  ** Generated **

### setLineKind

    public void setLineKind(LineKind newLineKind)

  Specified by:
    `setLineKind` in interface `Shape`
  Parameters:
    `newLineKind` - the new value of the 'Line Kind' attribute.
  See Also:
    `LineKind`, `Shape.getLineKind()`
  ** Generated **

### isXorFill

    public boolean isXorFill()

  Specified by:
    `isXorFill` in interface `Shape`
  Returns:
    the value of the 'Xor Fill' attribute.
  See Also:
    `Shape.setXorFill(boolean)`, `GMFGraphPackage.getShape_XorFill()`
  ** Generated **

### setXorFill

    public void setXorFill(boolean newXorFill)

  Specified by:
    `setXorFill` in interface `Shape`
  Parameters:
    `newXorFill` - the new value of the 'Xor Fill' attribute.
  See Also:
    `Shape.isXorFill()`
  ** Generated **

### isXorOutline

    public boolean isXorOutline()

  Specified by:
    `isXorOutline` in interface `Shape`
  Returns:
    the value of the 'Xor Outline' attribute.
  See Also:
    `Shape.setXorOutline(boolean)`, `GMFGraphPackage.getShape_XorOutline()`
  ** Generated **

### setXorOutline

    public void setXorOutline(boolean newXorOutline)

  Specified by:
    `setXorOutline` in interface `Shape`
  Parameters:
    `newXorOutline` - the new value of the 'Xor Outline' attribute.
  See Also:
    `Shape.isXorOutline()`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RealFigureImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.